Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.security
Class X509

    java.lang.Object
      |
      +--weblogic.security.Certificate
            |
            +--weblogic.security.X509

public class X509
extends Certificate
implements weblogic.security.Streamable, java.io.Serializable

DER encoded X.509 certificate class.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `Certificate`, Serialized Form

Field Summary
`protected byte[]` | `contents`
`protected byte[]` | `fingerprint`
`protected X500Name` | `issuer`
`protected X509` | `issuerCertificate`
`protected java.util.Date` | `notAfterDate`
`protected java.util.Date` | `notBeforeDate`
`protected java.math.BigInteger` | `serial`

Fields inherited from class weblogic.security.Certificate
`holder, key, validated`

Constructor Summary
`X509()`
`X509(java.io.File file)`
`X509(java.io.InputStream is)`
`X509(java.net.URL url)`

Method Summary
`java.lang.String` | `explain()` If this certificate is invalid, explain why.
`byte[]` | `getBytes()`
`byte[]` | `getFingerprint()`
`X500Name` | `getIssuer()`
`X509` | `getIssuerCertificate()`
`java.util.Date` | `getNotAfterDate()`
`java.math.BigInteger` | `getSerialNumber()`
`X500Name` | `getSubject()`
`void` | `initialize(java.io.InputStream is)` Initialize the certificate from the specified input stream.
`void` | `input(java.io.InputStream IS)`
`int` | `length()`
`void` | `output(java.io.OutputStream os)`
`void` | `save(java.io.OutputStream os)`
`void` | `setIssuerCertificate(X509 ic)`
`java.lang.String` | `toString()`
`boolean` | `verify()`
`boolean` | `verifyDate()`
`boolean` | `verifySignature()`

Methods inherited from class weblogic.security.Certificate
`getHolder, getKey, initialize, initialize, valid`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### contents

    protected byte[] contents

### fingerprint

    protected byte[] fingerprint

### issuer

    protected X500Name issuer

### issuerCertificate

    protected X509 issuerCertificate

### notBeforeDate

    protected java.util.Date notBeforeDate

### notAfterDate

    protected java.util.Date notAfterDate

### serial

    protected java.math.BigInteger serial

Constructor Detail

### X509

    public X509()

### X509

    public X509(java.io.InputStream is)
         throws KeyManagementException

### X509

    public X509(java.io.File file)
         throws KeyManagementException

### X509

    public X509(java.net.URL url)
         throws KeyManagementException

Method Detail

### initialize

    public void initialize(java.io.InputStream is)
                    throws KeyManagementException

  Initialize the certificate from the specified input stream.

  Overrides:
    initialize in class Certificate

### save

    public void save(java.io.OutputStream os)

  Overrides:
    save in class Certificate

### input

    public void input(java.io.InputStream IS)
               throws java.io.IOException

  Specified by:
    input in interface weblogic.security.Streamable

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Specified by:
    output in interface weblogic.security.Streamable

### length

    public int length()

  Specified by:
    length in interface weblogic.security.Streamable

### verify

    public boolean verify()
                   throws KeyManagementException,
                          AuthenticationException

  Overrides:
    verify in class Certificate

### explain

    public java.lang.String explain()

  If this certificate is invalid, explain why. Otherwise, return null.

### verifyDate

    public boolean verifyDate()

### getNotAfterDate

    public java.util.Date getNotAfterDate()

### verifySignature

    public boolean verifySignature()
                            throws KeyManagementException,
                                   AuthenticationException

### getIssuer

    public X500Name getIssuer()

### getSubject

    public X500Name getSubject()

### setIssuerCertificate

    public void setIssuerCertificate(X509 ic)

### getIssuerCertificate

    public X509 getIssuerCertificate()

### getFingerprint

    public byte[] getFingerprint()

### getBytes

    public byte[] getBytes()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### getSerialNumber

    public java.math.BigInteger getSerialNumber()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD